Send the invitation email for a user invitation
curl --request POST \
--url https://api.ctrl-hub.com/v3/user-invitations/{user_invitation_id}/send \
--header 'X-Session-Token: <api-key>'import requests
url = "https://api.ctrl-hub.com/v3/user-invitations/{user_invitation_id}/send"
headers = {"X-Session-Token": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-Session-Token': '<api-key>'}};
fetch('https://api.ctrl-hub.com/v3/user-invitations/{user_invitation_id}/send', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"attributes": {
"email": "jsmith@example.com",
"deferred": true
},
"meta": {
"created_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"sent_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"organisation": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
},
"invitor": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
},
"invitee": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
}
}
},
"jsonapi": {
"version": "<string>"
}
}{
"id": "98ca4a78-b66f-4234-9719-aaf832ee6669",
"status": "400",
"title": "A validation error was encountered",
"source": {
"parameter": "include"
},
"meta": {
"resource": "wrong_value"
}
}{
"id": "05fc9c8d-73b9-4697-9337-57f7a567a48f",
"status": "401",
"title": "You are not authorised to access this resource",
"detail": "In order to access this resource, you need the 'admin' role.",
"code": "AUTH.001"
}{
"id": "7b4c8f12-3e9a-4d5b-8c6f-1a2b3c4d5e6f",
"status": "404",
"title": "Resource not found",
"detail": "The requested resource could not be found or does not exist.",
"code": "NOT_FOUND.001"
}{
"id": "8e2f9a34-b5c6-4d7e-9f8a-2b3c4d5e6f7g",
"status": "409",
"title": "Conflict",
"detail": "The request conflicts with the current state of the resource.",
"code": "CONFLICT.001"
}{
"id": "fe9d9a69-f0a7-4fdc-bb2c-176027f316c5",
"status": "500",
"title": "Internal Server Error",
"detail": "An unexpected error occurred on the server."
}Invitations
Send an invitation
Send the invitation email for a pending invitation that has not been sent yet
(typically one created with deferred: true). Sending sets sent_at, anchors
expires_at to seven days after sending, and creates the invitee’s grants so
they can view and respond to the invitation. Sending an invitation that has
already been sent returns 409 Conflict.
POST
/
v3
/
user-invitations
/
{user_invitation_id}
/
send
Send the invitation email for a user invitation
Authorizations
SessionOAuth2Cookie
Session token for authentication.
Path Parameters
The unique identifier for the user invitation.
⌘I